/*
 Script to perform special actions for video links
*/
jQuery(document).ready(function() {

	// Open video link in modal dialog <a class="xref video youtube" href="https://youtu.be/9RyXxCIqlV8" target="_blank" title="(Opens in a new tab or window)">Play the video (YouTube)</a>
	// To play in a dialog, need to use the embed form of the video link, and not target="_blank" : <a class="xref video youtube" href="javascript:void(0);" data-src="https://www.youtube.com/embed/9RyXxCIqlV8?rel=0" title...
        $('a.video').click(function () {
			var target = $(this);
			// Get video parameters from child a tag
			var src = $(this).attr("data-src");
			var width = $(this).attr("data-width");
				if(typeof width === 'undefined'){
				widthvalue = '640';
				} else{
				widthvalue = width;
				};
			var height = $(this).attr("data-height");
				if(typeof height === 'undefined'){
				heightvalue = '480';
				} else{
				heightvalue = height;
				};
			var title = $(this).attr("data-title");
				if(typeof title === 'undefined'){
				titleattr = '';
				} else{
				titleattr = 'title="'+title+'"';
				};
			// alert('Video src = '+src);
			var $dialog = $('<div id="dialog-container" '+titleattr+'></div>')
			var $content = $('<iframe src="'+src+'" width="'+widthvalue+'" height="'+heightvalue+'" frameBorder="0" webkitAllowFullScreen mozAllowFullscreen allowfullscreen></iframe>');
			$dialog.append($content);
			$dialog.dialog({
				modal: true,
                width: "auto",
                height: "auto",
				resizable: false,
				position: {
					my: 'left',
					at: 'left',
					of: target
				},
                show: {
                    effect: "fade",
                    duration: 500
                },
                hide: {
                    effect: "fade",
                    duration: 500
                }
            });
        });
		
		// Show or hide HTML5 videos when user clicks on control
        $('div.showvideo').click(function () {
			$(this).siblings().toggle();
			if ( $(this).hasClass('hidevideo') ) {
				$(this).siblings("video").get(0).pause();
			}
			$(this).toggleClass( "hidevideo" );
        });

	$('div.showvideo').siblings().toggle();

		
});

